/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Sex
 */
public enum EnumCV_Sex 
{
	// Sex - CID 7455
		MALE_M("M"),
		FEMALE_F("F"),
		UNKNOWN_SEX_U("U"),
		MALE_PSEUDOHERMAPHRODITE_MP("MP"),
		FEMALE_PSEUDOHERMAPHRODITE_FP("FP"),
		HERMAPHRODITE_H("H"),
		MALE_CHANGED_TO_FEMALE_MC("MC"),
		FEMALE_CHANGED_TO_MALE_FC("FC"),
		AMBIGUOUS_SEX_121104("121104"),
		OTHER_SEX_121102("121102"),
		UNDETERMINED_SEX_121103("121103");
		
	private String value;
	
	EnumCV_Sex(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
